Skip to main content
GET
/
public-api
/
observability
/
workflow-performance
Per-agent performance breakdown
curl --request GET \
  --url https://api.neoagent.io/public-api/observability/workflow-performance \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "rows": [
      {
        "agent_id": 123,
        "agent_name": "<string>",
        "executions": 123,
        "failures": 123,
        "llm_calls_by_purpose": [
          {
            "count": 123,
            "model": "<string>",
            "p95_duration_seconds": 123,
            "purpose": "<string>"
          }
        ],
        "p95_actual_work_seconds": 123,
        "p95_overhead_seconds": 123,
        "p95_total_duration_seconds": 123,
        "psa_calls": 123
      }
    ],
    "window": {
      "since": "2023-11-07T05:31:56Z",
      "timezone": "<string>",
      "until": "2023-11-07T05:31:56Z"
    }
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Query Parameters

since
string

ISO-8601 lower bound (UTC). Default = until - 24h.

until
string

ISO-8601 upper bound (UTC). Default = now.

agent_id
integer

Narrow to one agent (workflow id).

Response

Success.

data
WorkflowPerformance · object
required
meta
object
required